Problem with Libtool-1.5

Jeremy Utley jeremy at jutley.org
Tue May 27 18:53:29 PDT 2003


This thread was on BLFS-support and BLFS-dev the last few days - it
seems that libtool-1.5 will cause some packages (at the least libfam) to
install their libraries without the .so extention.

BLFS-Support thread starts here:

http://archive.linuxfromscratch.org/mail-archives/blfs-support/2003/05/1345.html

And the eventual solution is not yet in the archives (it was early this
morning), but here's an exceprt from Dagmar's email to blfs-support
regarding the problem:

I'm not subbed to BLFS-Support so I missed the start of this, but I'm
going to make a semi-educated guess that you're using libtool-1.5.  I
tried it (libtool 1.5) when it was released and this "library filename
missing .so extension" problem screwed up about a half dozen packages
for me.  I'm not sure if the problem is with libtool-1.5 itself or if
there's something unusual the maintainers of the failing packages are
doing because I've not had the time to look too closely into the matter
yet.

If you drop back to libtool-1.4.3 your library should build properly.
If this was the case you should be _very_ watchful of your libraries
when you're upgrading Gnome since at least two of those packages will
fall prey to the problem as well and might leave you linking to stale
versions of libraries without knowing it.



Something to think about.

-J-

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-dev' in the subject header of the message



More information about the lfs-dev mailing list